

@echo off
title 卡饭~未止 WPS 专业版证书导入，By米范_黑
color 8F
mode con: cols=54 lines=14

echo    注意该批处理只适用于 卡饭~未止 的WPS专业版。
echo.
echo    %~dp0
echo.
echo    上面的显示的路径是WPS便携启动器的目录吗？
echo.
echo    不是的话请关闭批处理，并将批处理移动到便携启动器的目录后再继续下面的操作。
echo.
echo    如果确认了上面的路径就是WPS便携启动器中的目录，按下任意键后继续操作
pause >nul
cls
echo.
echo.
echo.
echo     这是为了防止你手抖误按的，再按一下就好了。
echo.
pause >nul
md "%~dp0Data\ProgramData"
xcopy /e /q /h /r /y /d /I "%~dp0App\WPS Office Personal\office6\2052\license2.dat" "%~dp0Data\ProgramData"
cls
echo.

if exist "%~dp0Data\ProgramData\license2.dat" (goto CG) else (
goto SB
  )

:CG
echo.
echo    导入成功，按任意键退出！
echo.
pause >nul
exit

:SB
echo.
echo    导入失败，你真的确定这个批处理是在WPS便携启动器的目录吗。
echo.
echo    按下任意键退出后，请重新试一遍。
echo.
pause >nul
exit